Subject: Re: [PATCH v2] net: remove SLAB_MEM_SPREAD flag usage

From: Simon Horman <[email-masked]>
Date: Wed, 28 Feb 2024 15:04:25 +0000

On Wed, Feb 28, 2024 at 03:06:58AM +0000, Chengming Zhou wrote:
> From: Chengming Zhou <[email-masked]>
> 
> The SLAB_MEM_SPREAD flag used to be implemented in SLAB, which was
> removed as of v6.8-rc1, so it became a dead flag since the commit
> 16a1d968358a ("mm/slab: remove mm/slab.c and slab_def.h"). And the
> series[1] went on to mark it obsolete to avoid confusion for users.
> Here we can just remove all its users, which has no functional change.
> 
> [1] https://lore.kernel.org/all/[email-masked]/
> 
> Signed-off-by: Chengming Zhou <[email-masked]>
> ---
> v2:
>  - Update the patch description and include the related link to
>    make it clearer that SLAB_MEM_SPREAD flag is now a no-op.

Thanks for the update.

Reviewed-by: Simon Horman <[email-masked]>